Subject: Re: ARCH=ppc -> ARCH=powerpc : help needed for dts file

From: Scott Wood <[email-masked]>
Date: Wed, 05 Mar 2008 10:32:33 -0600

Benjamin Herrenschmidt wrote:
> So at this stage, that's not enough information. We need to know exactly how
> you have wired things on your board, and somebody from fsl needs to tell
> me how the ExtIrq are routed to the MPIC on that guy.

This part's easy -- the external IRQ is used as the mpic interrupt 
number as-is (internal IRQs start at 16).

> Once that's done, you seem to have grasped the interrupt map... for any
> device or slot, you provide the mapping between idsel/pirq line on one side,
> and mpic interrupt & sense on the other. For PCI, sense is always 1 for an
> mpic so you mostly have to check your actual MPIC source numbers.
> 
>>>From your .dts, I see you've been doing some swizzling of slots using
> interrupts 1...4 ... do that correspond to EXTIRQ 5....8 ?

No, those correspond to the EXT1-4 that are the other side of the #ifdef 
for this board in arch/ppc. :-)

-Scott